import { ComposableStyles } from "@microsoft/fast-element";
/**
 * A renderer for {@link @microsoft/fast-element#ComposableStyles}
 * @beta
 */
export interface StyleRenderer {
    /**
     * Renders composable styles to a string.
     * @param styles - The styles to render.
     */
    render(styles: ComposableStyles): string;
}
export declare class FASTStyleStyleRenderer implements StyleRenderer {
    private static stylesheetCache;
    private static nextId;
    render(styles: ComposableStyles): string;
}
export declare class StyleElementStyleRenderer implements StyleRenderer {
    render(styles: ComposableStyles): string;
}
