import { StyleStrategy, StyleTarget } from "@microsoft/fast-element";
export declare class FASTSSRStyleStrategy implements StyleStrategy {
    private styles;
    addStylesTo(target: StyleTarget): void;
    removeStylesFrom(target: StyleTarget): void;
    constructor(styles: (string | CSSStyleSheet)[]);
    static getStylesFor(target: Element): Set<string | CSSStyleSheet> | null;
}
