import { __asyncValues, __awaiter } from "tslib";
export function consolidate(strings) {
    let str = "";
    let current = strings.next();
    while (!current.done) {
        str = str.concat(current.value);
        current = strings.next();
    }
    return str;
}
export function consolidateAsync(strings) {
    var strings_1, strings_1_1;
    var e_1, _a;
    return __awaiter(this, void 0, void 0, function* () {
        let value = "";
        try {
            for (strings_1 = __asyncValues(strings); strings_1_1 = yield strings_1.next(), !strings_1_1.done;) {
                const part = strings_1_1.value;
                value += part;
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (strings_1_1 && !strings_1_1.done && (_a = strings_1.return)) yield _a.call(strings_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return value;
    });
}
